Bug 608233 - [abrt] crash in virtaal-0.6.1-1.fc13: IA__g_propagate_error: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in virtaal-0.6.1-1.fc13: IA__g_propagate_error: Process /usr/bin...
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: virtaal   
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Dwayne Bailey
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b4534a9f4ef64821c1ae3e954b4...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-26 08:31 UTC by Elad Alfassa
Modified: 2011-06-02 07:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 07:32:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (51.65 KB, text/plain)
2010-06-26 08:31 UTC, Elad Alfassa
no flags Details

Description Elad Alfassa 2010-06-26 08:31:27 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/virtaal
comment: Tried to translate with virtaal and it crashed.
component: virtaal
crash_function: IA__g_propagate_error
executable: /usr/bin/python
global_uuid: b4534a9f4ef64821c1ae3e954b4a3ee4a47dd430
kernel: 2.6.33.5-124.fc13.x86_64
package: virtaal-0.6.1-1.fc13
rating: 4
reason: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

Comment 1 Elad Alfassa 2010-06-26 08:31:37 UTC
Created attachment 427050 [details]
File: backtrace

Comment 2 Dwayne Bailey 2010-07-23 16:07:00 UTC
Thanks for the report and sorry its taken a while to look at this.  I needed to find a 64bit machine.

I tested this on an F12 machine.  The problem seems to be caused by the libtranslate plugin.

Can you please test if this is true by disabling the libtranslate plugin:
Edit>Preferences...>Plugins>Translation Memory>libtranslate

Comment 3 Elad Alfassa 2010-07-24 08:45:26 UTC
When disabled, virtaal doesn't crash.

Comment 4 Dwayne Bailey 2010-07-26 06:12:48 UTC
Thanks elad for confirming this.

I'm considering 2 options:
1) Try determine the error on 64 bit machines.  I'll try to ask the packager of libtranslate for help on this.
2) Disable libtranslate on 64bit machines

Comment 5 Bug Zapper 2011-06-01 15:32:57 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.